summaryrefslogtreecommitdiffstats
path: root/meta-openbmc-machines
diff options
context:
space:
mode:
authorXo Wang <xow@google.com>2017-02-13 15:38:03 -0800
committerPatrick Williams <patrick@stwcx.xyz>2017-02-16 04:07:00 +0000
commitcb1cc2b4d0c156d0d6848ddf9f0dc6682a0ba11c (patch)
tree9d3053673f0d3f80bffd7e0fe63cfe6d0ccf570f /meta-openbmc-machines
parent25b35a0158bef891c767a18f39118c5853954ec8 (diff)
downloadtalos-openbmc-cb1cc2b4d0c156d0d6848ddf9f0dc6682a0ba11c.tar.gz
talos-openbmc-cb1cc2b4d0c156d0d6848ddf9f0dc6682a0ba11c.zip
meta-zaius: vcs-control: Catch UCD driver bind failure
Capture return value of binding UCD90160 driver to power sequencer rather than let it exit the entire script on first failure. Only exit script if the all the driver bind attempts fail. Signed-off-by: Xo Wang <xow@google.com> Change-Id: I76303e1abb222daa7badb58b90d77bb49717236a
Diffstat (limited to 'meta-openbmc-machines')
-rwxr-xr-xmeta-openbmc-machines/meta-openpower/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/zaius_vcs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/meta-openbmc-machines/meta-openpower/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/zaius_vcs.sh b/meta-openbmc-machines/meta-openpower/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/zaius_vcs.sh
index fc5dc0861..b65b12d1c 100755
--- a/meta-openbmc-machines/meta-openpower/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/zaius_vcs.sh
+++ b/meta-openbmc-machines/meta-openpower/meta-ingrasys/meta-zaius/recipes-phosphor/chassis/vcs-control/zaius_vcs.sh
@@ -51,8 +51,9 @@ rebind_ucd()
local i=0
until [ -d $ucd_path/$ucd_driver ] || [ $i -ge $ucd_retries ]; do
i=$((i+1))
- echo $ucd_driver > $ucd_path/bind
+ echo $ucd_driver > $ucd_path/bind || ret=$?
done
+ if [ ! -d $ucd_path/$ucd_driver ]; then exit $ret; fi
fi
}
OpenPOWER on IntegriCloud